Ask Your Question
0

How does one install older versions of puppet models with puppet module install puppetlabs/keystone

asked 2015-11-25 10:40:11 -0500

Red Cricket gravatar image

Hi,

I would like to be able to install an older version of the puppet module "openstack/puppet-keystone". I assume if I do ...

$ puppet module install puppetlabs/keystone

... I will get the latest (Liberty) release of the module. But what if I need to install the Juno version (an older release)? Is there a way to do that?

Thanks

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2015-11-25 17:29:49 -0500

GregLarkin gravatar image

Each Puppet Forge module path has a dropdown on the right side of the page allowing you to select a different version of the module. Select the version you want, click "Download" and you'll receive a .tar.gz file. Then run puppet module install abc-x.y.z.tar.gz (pointing to the downloaded file on your system), and that will install the desired version and its dependencies.

The version selector looks like:

image description

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-11-25 10:40:11 -0500

Seen: 255 times

Last updated: Nov 25 '15